# Variable search_join_field`Const`

search_join_field: {
blockDisplay: boolean;
configFields: (
field: any,
) => Promise<
{
attributes: { options: { label: string; value: string }[] };
label: string;
name: string;
required: boolean;
type: string;
}[],
>;
isEdit: boolean;
isFilter: boolean;
run: (
nm: any,
v: any,
attrs?: {},
cls: any,
required: any,
field: any,
state?: {},
) => string;
type: string;
} = ...

#### Type Declaration

- ##### blockDisplay: boolean

- ##### configFields: (
  field: any,
  ) => Promise<
  {
  attributes: { options: { label: string; value: string }[] };
  label: string;
  name: string;
  required: boolean;
  type: string;
  }[],
  >

- ##### isEdit: boolean

- ##### isFilter: boolean

- ##### run: (
  nm: any,
  v: any,
  attrs?: {},
  cls: any,
  required: any,
  field: any,
  state?: {},
  ) => string

- ##### type: string

- Defined in packages/saltcorn-data/base-plugin/fieldviews.js:796